"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubCloudFunctions = void 0;
const tslib_1 = require("tslib");
const common_1 = require("../common");
function createPubSubCloudFunctions(handler, options = {}) {
    const { parseJson } = options;
    return (req, res) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield common_1.handlePubSubMessage({
            message: req.body.message,
            handler,
            context: req.body,
            parseJson,
        });
        res.status(200).send();
    });
}
exports.createPubSubCloudFunctions = createPubSubCloudFunctions;
