"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubRequest = void 0;
const types_1 = require("../types");
const jsf = require("json-schema-faker");
function createPubSubRequest(input, stringify = true) {
    const data = jsf.generate(types_1.PubSubRequest);
    data.message.data = Buffer.from(stringify ? JSON.stringify(input) : input).toString('base64');
    return data;
}
exports.createPubSubRequest = createPubSubRequest;
